shinyUI(fluidPage(
  titlePanel("Visualize centrality measures"),
  
  sidebarLayout(
    sidebarPanel(

      selectInput("format", label = h4("Graph format"), 
                  choices = c("gml", "graphml", "edgelist", "pajek", "ncol", "lgl",
                              "dimacs", "graphdb", "dl")),
      
      br(),
      
      fileInput("graph", label = h4("Graph file")),

      br(),
      
      
      selectInput("centrality", label = h4("Centrality measure"), 
                  choices = c("degree", "eigenvector", "Katz", "pagerank", "HITS", "closeness", "betweenness")),
      
      br(),

      conditionalPanel(
        condition = "input.centrality == 'degree'",
        radioButtons("degree", label = h4("Type"), 
                     choices = c("in", "out", "all"), inline=TRUE), br()),

      conditionalPanel(
        condition = "input.centrality == 'Katz' || input.centrality == 'pagerank'",
        numericInput("alpha", 
                     label = h4("Damping"), min=0, max = 1, step = 0.05, 
                     value = 0.85), br()),
        
      conditionalPanel(
        condition = "input.centrality == 'HITS'",
        radioButtons("HITS", label = h4("Type"), 
                    choices = c("authority", "hub"), inline=TRUE), br()),
      
      actionButton("plot", "Visualize")

      
      ),
    mainPanel(plotOutput("net"))
  )
))